# Define _make_verbose if it doesn't exist (RHEL8)
%{!?_make_verbose:%define _make_verbose V=1 VERBOSE=1}

Name:           freenginx-mod-fancyindex
Version:        0.5.2
Release:        2%{?dist}
Summary:        freenginx FancyIndex module
License:        BSD-2-Clause
URL:            https://github.com/aperezdc/ngx-fancyindex
Packager:       Teddysun <i@teddysun.com>
Source0:        %{url}/releases/download/v%{version}/ngx-fancyindex-%{version}.tar.xz
Source1:        %{url}/releases/download/v%{version}/ngx-fancyindex-%{version}.tar.xz.sig
Source2:        https://keys.openpgp.org/vks/v1/by-fingerprint/5AA3BC334FD7E3369E7C77B291C559DBE4C9123B

BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  freenginx-mod-devel

%description
The Fancy Index module makes possible the generation of file listings,
like the built-in autoindex module does, but adding a touch of style.
This is possible because the module allows a certain degree of
customization of the generated content:

* Custom headers. Either local or stored remotely.
* Custom footers. Either local or stored remotely.
* Add you own CSS style rules.
* Allow choosing to sort elements by name (default),
  modification time, or size; both ascending (default),
  or descending.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -n ngx-fancyindex-%{version}


%build
%freenginx_modconfigure
%freenginx_modbuild


%install
pushd %{_vpath_builddir}
install -dm 0755 %{buildroot}%{freenginx_moddir}
install -pm 0755 ngx_http_fancyindex_module.so %{buildroot}%{freenginx_moddir}
popd

install -dm 0755 %{buildroot}%{freenginx_modconfdir}
echo 'load_module "%{freenginx_moddir}/ngx_http_fancyindex_module.so";' \
    > %{buildroot}%{freenginx_modconfdir}/mod-fancyindex.conf


%files
%license LICENSE
%doc CHANGELOG.md README.rst
%{freenginx_moddir}/ngx_http_fancyindex_module.so
%{freenginx_modconfdir}/mod-fancyindex.conf

%changelog
* Thu Apr 17 2025 Teddysun <i@teddysun.com> - 0.5.2-2
- Rebuild for freenginx 1.27.6

* Mon Apr 07 2025 Teddysun <i@teddysun.com> - 0.5.2-1
- Build for freenginx 1.27.4
